lol
1diff -rc aterm-2.8/aterm/gc.c aterm-2.8-new/aterm/gc.c
2*** aterm-2.8/aterm/gc.c 2008-11-10 13:54:22.000000000 +0100
3--- aterm-2.8-new/aterm/gc.c 2010-08-23 17:04:56.000000000 +0200
4***************
5*** 260,317 ****
6 AFun oddSym;
7 #endif
8
9- #ifdef WIN32
10-
11- unsigned int r_eax, r_ebx, r_ecx, r_edx, \
12- r_esi, r_edi, r_esp, r_ebp;
13- ATerm reg[8], real_term;
14-
15- __asm {
16- /* Get the registers into local variables to check them
17- for aterms later. */
18- mov r_eax, eax
19- mov r_ebx, ebx
20- mov r_ecx, ecx
21- mov r_edx, edx
22- mov r_esi, esi
23- mov r_edi, edi
24- mov r_esp, esp
25- mov r_ebp, ebp
26- }
27- /* Put the register-values into an array */
28- reg[0] = (ATerm) r_eax;
29- reg[1] = (ATerm) r_ebx;
30- reg[2] = (ATerm) r_ecx;
31- reg[3] = (ATerm) r_edx;
32- reg[4] = (ATerm) r_esi;
33- reg[5] = (ATerm) r_edi;
34- reg[6] = (ATerm) r_esp;
35- reg[7] = (ATerm) r_ebp;
36-
37- for(i=0; i<8; i++) {
38- real_term = AT_isInsideValidTerm(reg[i]);
39- if (real_term != NULL) {
40- AT_markTerm(real_term);
41- }
42- if (AT_isValidSymbol((Symbol)reg[i])) {
43- AT_markSymbol((Symbol)reg[i]);
44- }
45- }
46-
47- /* The register variables are on the stack aswell
48- I set them to zero so they won't be processed again when
49- the stack is traversed. The reg-array is also in the stack
50- but that will be adjusted later */
51- r_eax = 0;
52- r_ebx = 0;
53- r_ecx = 0;
54- r_edx = 0;
55- r_esi = 0;
56- r_edi = 0;
57- r_esp = 0;
58- r_ebp = 0;
59-
60- #else
61 jmp_buf env;
62
63 /* Traverse possible register variables */
64--- 260,265 ----
65***************
66*** 320,326 ****
67 start = (ATerm *)((char *)env);
68 stop = ((ATerm *)(((char *)env) + sizeof(jmp_buf)));
69 mark_memory(start, stop);
70- #endif
71
72 stackTop = stack_top();
73
74--- 268,273 ----
75***************
76*** 385,442 ****
77 AFun oddSym;
78 #endif
79
80- #ifdef WIN32
81-
82- unsigned int r_eax, r_ebx, r_ecx, r_edx, \
83- r_esi, r_edi, r_esp, r_ebp;
84- ATerm reg[8], real_term;
85-
86- __asm {
87- /* Get the registers into local variables to check them
88- for aterms later. */
89- mov r_eax, eax
90- mov r_ebx, ebx
91- mov r_ecx, ecx
92- mov r_edx, edx
93- mov r_esi, esi
94- mov r_edi, edi
95- mov r_esp, esp
96- mov r_ebp, ebp
97- }
98- /* Put the register-values into an array */
99- reg[0] = (ATerm) r_eax;
100- reg[1] = (ATerm) r_ebx;
101- reg[2] = (ATerm) r_ecx;
102- reg[3] = (ATerm) r_edx;
103- reg[4] = (ATerm) r_esi;
104- reg[5] = (ATerm) r_edi;
105- reg[6] = (ATerm) r_esp;
106- reg[7] = (ATerm) r_ebp;
107-
108- for(i=0; i<8; i++) {
109- real_term = AT_isInsideValidTerm(reg[i]);
110- if (real_term != NULL) {
111- AT_markTerm_young(real_term);
112- }
113- if (AT_isValidSymbol((Symbol)reg[i])) {
114- AT_markSymbol_young((Symbol)reg[i]);
115- }
116- }
117-
118- /* The register variables are on the stack aswell
119- I set them to zero so they won't be processed again when
120- the stack is traversed. The reg-array is also in the stack
121- but that will be adjusted later */
122- r_eax = 0;
123- r_ebx = 0;
124- r_ecx = 0;
125- r_edx = 0;
126- r_esi = 0;
127- r_edi = 0;
128- r_esp = 0;
129- r_ebp = 0;
130-
131- #else
132 jmp_buf env;
133
134 /* Traverse possible register variables */
135--- 332,337 ----
136***************
137*** 445,451 ****
138 start = (ATerm *)((char *)env);
139 stop = ((ATerm *)(((char *)env) + sizeof(jmp_buf)));
140 mark_memory_young(start, stop);
141- #endif
142
143 stackTop = stack_top();
144 start = MIN(stackTop, stackBot);
145--- 340,345 ----
146Only in aterm-2.8-new/aterm: gc.c.orig
147diff -rc aterm-2.8/configure aterm-2.8-new/configure
148*** aterm-2.8/configure 2008-11-10 13:54:27.000000000 +0100
149--- aterm-2.8-new/configure 2010-08-23 17:08:10.000000000 +0200
150***************
151*** 19970,20295 ****
152 CURDATE=`date`
153
154
155- echo "$as_me:$LINENO: checking whether byte ordering is bigendian" >&5
156- echo $ECHO_N "checking whether byte ordering is bigendian... $ECHO_C" >&6
157- if test "${ac_cv_c_bigendian+set}" = set; then
158- echo $ECHO_N "(cached) $ECHO_C" >&6
159- else
160- # See if sys/param.h defines the BYTE_ORDER macro.
161- cat >conftest.$ac_ext <<_ACEOF
162- /* confdefs.h. */
163- _ACEOF
164- cat confdefs.h >>conftest.$ac_ext
165- cat >>conftest.$ac_ext <<_ACEOF
166- /* end confdefs.h. */
167- #include <sys/types.h>
168- #include <sys/param.h>
169-
170- int
171- main ()
172- {
173- #if !BYTE_ORDER || !BIG_ENDIAN || !LITTLE_ENDIAN
174- bogus endian macros
175- #endif
176-
177- ;
178- return 0;
179- }
180- _ACEOF
181- rm -f conftest.$ac_objext
182- if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
183- (eval $ac_compile) 2>conftest.er1
184- ac_status=$?
185- grep -v '^ *+' conftest.er1 >conftest.err
186- rm -f conftest.er1
187- cat conftest.err >&5
188- echo "$as_me:$LINENO: \$? = $ac_status" >&5
189- (exit $ac_status); } &&
190- { ac_try='test -z "$ac_c_werror_flag"
191- || test ! -s conftest.err'
192- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
193- (eval $ac_try) 2>&5
194- ac_status=$?
195- echo "$as_me:$LINENO: \$? = $ac_status" >&5
196- (exit $ac_status); }; } &&
197- { ac_try='test -s conftest.$ac_objext'
198- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
199- (eval $ac_try) 2>&5
200- ac_status=$?
201- echo "$as_me:$LINENO: \$? = $ac_status" >&5
202- (exit $ac_status); }; }; then
203- # It does; now see whether it defined to BIG_ENDIAN or not.
204- cat >conftest.$ac_ext <<_ACEOF
205- /* confdefs.h. */
206- _ACEOF
207- cat confdefs.h >>conftest.$ac_ext
208- cat >>conftest.$ac_ext <<_ACEOF
209- /* end confdefs.h. */
210- #include <sys/types.h>
211- #include <sys/param.h>
212-
213- int
214- main ()
215- {
216- #if BYTE_ORDER != BIG_ENDIAN
217- not big endian
218- #endif
219-
220- ;
221- return 0;
222- }
223- _ACEOF
224- rm -f conftest.$ac_objext
225- if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
226- (eval $ac_compile) 2>conftest.er1
227- ac_status=$?
228- grep -v '^ *+' conftest.er1 >conftest.err
229- rm -f conftest.er1
230- cat conftest.err >&5
231- echo "$as_me:$LINENO: \$? = $ac_status" >&5
232- (exit $ac_status); } &&
233- { ac_try='test -z "$ac_c_werror_flag"
234- || test ! -s conftest.err'
235- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
236- (eval $ac_try) 2>&5
237- ac_status=$?
238- echo "$as_me:$LINENO: \$? = $ac_status" >&5
239- (exit $ac_status); }; } &&
240- { ac_try='test -s conftest.$ac_objext'
241- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
242- (eval $ac_try) 2>&5
243- ac_status=$?
244- echo "$as_me:$LINENO: \$? = $ac_status" >&5
245- (exit $ac_status); }; }; then
246- ac_cv_c_bigendian=yes
247- else
248- echo "$as_me: failed program was:" >&5
249- sed 's/^/| /' conftest.$ac_ext >&5
250-
251- ac_cv_c_bigendian=no
252- fi
253- rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
254- else
255- echo "$as_me: failed program was:" >&5
256- sed 's/^/| /' conftest.$ac_ext >&5
257-
258- # It does not; compile a test program.
259- if test "$cross_compiling" = yes; then
260- # try to guess the endianness by grepping values into an object file
261- ac_cv_c_bigendian=unknown
262- cat >conftest.$ac_ext <<_ACEOF
263- /* confdefs.h. */
264- _ACEOF
265- cat confdefs.h >>conftest.$ac_ext
266- cat >>conftest.$ac_ext <<_ACEOF
267- /* end confdefs.h. */
268- short ascii_mm[] = { 0x4249, 0x4765, 0x6E44, 0x6961, 0x6E53, 0x7953, 0 };
269- short ascii_ii[] = { 0x694C, 0x5454, 0x656C, 0x6E45, 0x6944, 0x6E61, 0 };
270- void _ascii () { char *s = (char *) ascii_mm; s = (char *) ascii_ii; }
271- short ebcdic_ii[] = { 0x89D3, 0xE3E3, 0x8593, 0x95C5, 0x89C4, 0x9581, 0 };
272- short ebcdic_mm[] = { 0xC2C9, 0xC785, 0x95C4, 0x8981, 0x95E2, 0xA8E2, 0 };
273- void _ebcdic () { char *s = (char *) ebcdic_mm; s = (char *) ebcdic_ii; }
274- int
275- main ()
276- {
277- _ascii (); _ebcdic ();
278- ;
279- return 0;
280- }
281- _ACEOF
282- rm -f conftest.$ac_objext
283- if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
284- (eval $ac_compile) 2>conftest.er1
285- ac_status=$?
286- grep -v '^ *+' conftest.er1 >conftest.err
287- rm -f conftest.er1
288- cat conftest.err >&5
289- echo "$as_me:$LINENO: \$? = $ac_status" >&5
290- (exit $ac_status); } &&
291- { ac_try='test -z "$ac_c_werror_flag"
292- || test ! -s conftest.err'
293- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
294- (eval $ac_try) 2>&5
295- ac_status=$?
296- echo "$as_me:$LINENO: \$? = $ac_status" >&5
297- (exit $ac_status); }; } &&
298- { ac_try='test -s conftest.$ac_objext'
299- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
300- (eval $ac_try) 2>&5
301- ac_status=$?
302- echo "$as_me:$LINENO: \$? = $ac_status" >&5
303- (exit $ac_status); }; }; then
304- if grep BIGenDianSyS conftest.$ac_objext >/dev/null ; then
305- ac_cv_c_bigendian=yes
306- fi
307- if grep LiTTleEnDian conftest.$ac_objext >/dev/null ; then
308- if test "$ac_cv_c_bigendian" = unknown; then
309- ac_cv_c_bigendian=no
310- else
311- # finding both strings is unlikely to happen, but who knows?
312- ac_cv_c_bigendian=unknown
313- fi
314- fi
315- else
316- echo "$as_me: failed program was:" >&5
317- sed 's/^/| /' conftest.$ac_ext >&5
318-
319- fi
320- rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
321- else
322- cat >conftest.$ac_ext <<_ACEOF
323- /* confdefs.h. */
324- _ACEOF
325- cat confdefs.h >>conftest.$ac_ext
326- cat >>conftest.$ac_ext <<_ACEOF
327- /* end confdefs.h. */
328- int
329- main ()
330- {
331- /* Are we little or big endian? From Harbison&Steele. */
332- union
333- {
334- long l;
335- char c[sizeof (long)];
336- } u;
337- u.l = 1;
338- exit (u.c[sizeof (long) - 1] == 1);
339- }
340- _ACEOF
341- rm -f conftest$ac_exeext
342- if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
343- (eval $ac_link) 2>&5
344- ac_status=$?
345- echo "$as_me:$LINENO: \$? = $ac_status" >&5
346- (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
347- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
348- (eval $ac_try) 2>&5
349- ac_status=$?
350- echo "$as_me:$LINENO: \$? = $ac_status" >&5
351- (exit $ac_status); }; }; then
352- ac_cv_c_bigendian=no
353- else
354- echo "$as_me: program exited with status $ac_status" >&5
355- echo "$as_me: failed program was:" >&5
356- sed 's/^/| /' conftest.$ac_ext >&5
357-
358- ( exit $ac_status )
359- ac_cv_c_bigendian=yes
360- fi
361- rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
362- fi
363- fi
364- rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
365- fi
366- echo "$as_me:$LINENO: result: $ac_cv_c_bigendian" >&5
367- echo "${ECHO_T}$ac_cv_c_bigendian" >&6
368- case $ac_cv_c_bigendian in
369- yes)
370-
371- cat >>confdefs.h <<\_ACEOF
372- #define WORDS_BIGENDIAN 1
373- _ACEOF
374- ;;
375- no)
376- ;;
377- *)
378- { { echo "$as_me:$LINENO: error: unknown endianness
379- presetting ac_cv_c_bigendian=no (or yes) will help" >&5
380- echo "$as_me: error: unknown endianness
381- presetting ac_cv_c_bigendian=no (or yes) will help" >&2;}
382- { (exit 1); exit 1; }; } ;;
383- esac
384-
385-
386- echo "$as_me:$LINENO: checking whether float word ordering is big endian" >&5
387- echo $ECHO_N "checking whether float word ordering is big endian... $ECHO_C" >&6
388- if test "${ax_cv_c_float_word_order_big+set}" = set; then
389- echo $ECHO_N "(cached) $ECHO_C" >&6
390- else
391-
392- if test "$cross_compiling" = yes; then
393- { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
394- See \`config.log' for more details." >&5
395- echo "$as_me: error: cannot run test program while cross compiling
396- See \`config.log' for more details." >&2;}
397- { (exit 1); exit 1; }; }
398- else
399- cat >conftest.$ac_ext <<_ACEOF
400-
401- /* This code returns 0 if the float word order is big endian and >= 1 if it is little endian. */
402- main(){
403- #ifdef WORDS_BIGENDIAN
404- return 0; /* If the system's encoding is big endian, so is the float word order. NOTE: If the encoding is big endian and WORDS_BIGENDIAN isn't defined, the code below will still return the correct float word order (big). */
405- #else
406- union
407- {
408- double d;
409- /* IEEE754 little endian encoded floating point number structure with little endian float word order. */
410- struct{
411- unsigned int mantissa1:32;
412- unsigned int mantissa0:20;
413- unsigned int exponent:11;
414- unsigned int negative:1;
415- } ieee;
416- } u;
417- u.d = -1;
418- return (u.ieee.negative == 1);
419- #endif
420- }
421-
422- _ACEOF
423- rm -f conftest$ac_exeext
424- if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
425- (eval $ac_link) 2>&5
426- ac_status=$?
427- echo "$as_me:$LINENO: \$? = $ac_status" >&5
428- (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
429- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
430- (eval $ac_try) 2>&5
431- ac_status=$?
432- echo "$as_me:$LINENO: \$? = $ac_status" >&5
433- (exit $ac_status); }; }; then
434- ax_cv_c_float_word_order_big=yes
435- else
436- echo "$as_me: program exited with status $ac_status" >&5
437- echo "$as_me: failed program was:" >&5
438- sed 's/^/| /' conftest.$ac_ext >&5
439-
440- ( exit $ac_status )
441- ax_cv_c_float_word_order_big=no
442- fi
443- rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
444- fi
445-
446-
447- fi
448- echo "$as_me:$LINENO: result: $ax_cv_c_float_word_order_big" >&5
449- echo "${ECHO_T}$ax_cv_c_float_word_order_big" >&6
450-
451- case $ax_cv_c_float_word_order_big in
452- yes)
453-
454-
455- cat >>confdefs.h <<\_ACEOF
456- #define FLOAT_WORD_ORDER_BIG 1
457- _ACEOF
458-
459-
460- ;;
461- no)
462- ;;
463- *)
464-
465- { { echo "$as_me:$LINENO: error: Unable to determain float word ordering. You need to manually preset ax_cv_c_float_word_order_big=(yes / no).
466- " >&5
467- echo "$as_me: error: Unable to determain float word ordering. You need to manually preset ax_cv_c_float_word_order_big=(yes / no).
468- " >&2;}
469- { (exit 1); exit 1; }; }
470-
471- ;;
472- esac
473-
474-
475
476
477 for ac_func in strdup
478--- 19970,19975 ----
479diff -rc aterm-2.8/Makefile.in aterm-2.8-new/Makefile.in
480*** aterm-2.8/Makefile.in 2008-11-10 13:54:28.000000000 +0100
481--- aterm-2.8-new/Makefile.in 2010-08-23 17:05:27.000000000 +0200
482***************
483*** 217,223 ****
484
485 pkgconfig_DATA = ${PACKAGE}.pc
486
487! SUBDIRS = aterm utils test
488
489 ACLOCAL_AMFLAGS = -I .
490 subdir = .
491--- 217,223 ----
492
493 pkgconfig_DATA = ${PACKAGE}.pc
494
495! SUBDIRS = aterm utils
496
497 ACLOCAL_AMFLAGS = -I .
498 subdir = .